<template>
  <div id="header" class="header">
    <div id="mynav" class="header__container">
      <ul class="topnav">
        <li>
          <a href="/">
            <el-image v-if="logo" class="nav-logo" :src="logo" fit="contain" />
          </a>
        </li>
        <li class="right">
          <a href="#">
            <jds-button variant="primary" @click="getApp()">
              Isi Formulir
            </jds-button>
          </a>
        </li>
        <div v-if="isShowMenu">
          <li v-for="(item, index) in navItems" :key="index" class="right">
            <a :href="'#' + item">
              <jds-button variant="tertiary">
                {{ item }}
              </jds-button>
            </a>
          </li>
        </div>
      </ul>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Header',
  props: {
    isShowMenu: {
      type: Boolean,
      default: true
    }
  },
  data() {
    return {
      logo: require('@/assets/logo.png'),
      navItems: ['FAQ', 'Testimoni', 'Benefit', 'Fitur', 'About']
    }
  },
  created() {
    window.addEventListener('scroll', this.handleScroll)
  },
  destroyed() {
    window.removeEventListener('scroll', this.handleScroll)
  },
  methods: {
    handleScroll() {
      const myNav = document.getElementById('mynav')
      if (window.scrollY > 100) {
        myNav.classList.add('nav-border')
      } else if (window.scrollY === 0) {
        myNav.classList.remove('nav-border')
      }
    },
    getApp() {
      const link = 'http://bit.ly/cobasapawarga'
      window.open(link, '_blank')
    }
  }
}
</script>

<style lang="scss" scoped>

.header {
  background-color: transparent;
  position: fixed;
  width: 100%;
  z-index: 2;
  &__container {
    padding: 10px 50px;
    background-color: transparent;
    transition: background-color 100ms linear;
  }
  .nav-border {
    margin: 10px 30px 0 30px;
    border-radius: 50px;
    background-color: white;
    box-shadow: 0 2px 4px rgba(0, 0, 0, .12), 0 0 6px rgba(0, 0, 0, .04)
  }
}

ul.topnav {
  width: 100%;
  margin: 0px 0;
  padding: 10px 0 0 0;
  list-style-type: none;
  overflow: hidden;
}

ul.topnav li {float: left;}

ul.topnav li a {
  display: block;
  text-align: center;
  text-decoration: none;
  padding: 0 10px;
}

ul.topnav li.right {float: right;}

.nav-logo {
  width: auto;
  height: 50px;
}

.jds-button--tertiary {
  color: black;
  &:hover {
    background-color: rgba(25, 118, 210, 0.2);
  }
}

.jds-button--primary {
  background-color: #1976D2;
  &:hover {
    background-color: #3a99f8;
  }
}

@media screen and (max-width: 600px) {
  .header {
    position: unset;
    .nav-border {
      margin: 0;
      border-radius: 0;
    }
  }
  .header__container {
    padding: 10px 0;
  }
  ul.topnav li.right,
  ul.topnav li {float: none;}
  ul.topnav li a {
    padding: 0;
  }
}
</style>
